import type { Bundle, BaseComponentMap, ComponentMap, ComponentMapList, IDispatchVueOptions } from './types';
export declare function getPages(bundle: Bundle): {
    pages: any;
    subPackages: any;
    parsedSubPackages: any;
    reversedSubPackageMap: Record<string, string>;
    globalComponents: any;
};
export declare function analyzeComponent(bundle: Bundle, htmlPostfix: string): ComponentMap;
export declare function formatComponentMap(componentMap?: ComponentMap): ComponentMap;
export declare function getComponentMapList(componentMap: ComponentMap): ComponentMapList;
export declare function getDeepComponentMapList(componentMap: ComponentMapList): ComponentMapList;
export declare function getReversedComponentMapList(componentMap: ComponentMapList): ComponentMapList;
export declare function getReversedComponentSubPackages(componentMap: ComponentMapList, reversedSubPackageMap: BaseComponentMap): ComponentMapList;
export declare function findShouldHandleComponents({ componentMap, reversedSubPackageMap, limit, blackList, }: {
    componentMap: ComponentMapList;
    reversedSubPackageMap: BaseComponentMap;
    limit?: number;
    blackList?: IDispatchVueOptions['blackList'];
}): Record<string, string[]>;
